#!/bin/bash
 
STAT_COL=`stty size | cut -d " " -f 2`
# colors: 
 
COL_TEXT="\033[1;0m"
COL_OK="\033[1;37m"
COL_KO="\033[1;31m"
COL_NORM="\033[1;0m"
COL_DOT="\033[1;0m"
COL_BUSY="\033[1;37m"
 
# function :
 
write_dots () {
    for ((i=0; i<$[$1/2]; ++i)); do
	echo -n ". "
    done
 
    if [ $[$1%2] = 1 ]; then
	echo -n "."
    fi
}
 
deltext () {
	#for ((i=0; i<$1; ++i)) ; do echo -ne "\b"; done
	echo -ne "\033[1G"
}
 
stat_busy () {
	#msg="$@"
	NUM_DOT=$(($STAT_COL-${#msg}-11))
	#DOT=`for ((i=0; i<$[$NUM_DOT/2]; ++i)); do echo -n ". "; done`
	DOT=`write_dots $NUM_DOT`
	echo -ne "${COL_KO}* ${COL_TEXT}$msg${COL_DOT}$DOT[ BUSY ]\r"
}
stat_ok () {
	deltext 
	#msg="$@"
	NUM_DOT=$(($STAT_COL-${#msg}-9))
	#DOT=`for ((i=0; i<$[$NUM_DOT/2]; ++i)); do echo -n ". "; done`
	DOT=`write_dots $NUM_DOT`
	echo -ne "${COL_KO}* ${COL_TEXT}$msg${COL_DOT}$DOT[${COL_OK} OK ${COL_DOT}]${COL_NORM}\n"
}
 
stat_ko () {
	deltext
	#msg="$@"
	NUM_DOT=$(($STAT_COL-${#msg}-9))
	#DOT=`for ((i=0; i<$[$NUM_DOT/2]; ++i)); do echo -n ". "; done`
	DOT=`write_dots $NUM_DOT`
	echo -ne "${COL_KO}* ${COL_TEXT}$msg${COL_DOT}$DOT[${COL_KO} !! ${COL_DOT}]${COL_NORM}\n"
}
 
status() {
	stat_busy 
	$* >/dev/null 2>&1
	if [ $? -eq 0 ]; then
		stat_ok
		return 0
	else
	        stat_ko
		return 1
	fi
}
 
 
einfo(){
echo -e "$COL_KO*${COL_NORM} ${*}"
}

setlang(){
LANG=""
if [ -f /etc/conf.d/locale ] ; then
    locale="`cat /etc/conf.d/locale`"
    if [ "$locale" = "" ] ; then 
	export LANG=en_US
    else
	export LANG=$locale
	
    fi

else
    export LANG=en_US
fi  
}

consolefont(){
if [ -f /lib/consolefont.psfu.gz ] ; then
setfont /lib/consolefont.psfu.gz
fi 

}

function progressbar()
{
if [ -r /proc/splash ]; then
echo "show $(( 65534 * $1 / 100 ))" > /proc/splash
fi
}

silent_splash()
{
if [ -r /proc/splash ]; then
echo "silent" > /proc/splash
fi
}

verbose_splash()
{
if [ -r /proc/splash ]; then
echo "verbose" > /proc/splash
fi
}

